package javax.xml.transform;

import java.util.Properties;

public abstract class Transformer
{
    protected Transformer() {
    }
    
    public void reset() {
        throw new UnsupportedOperationException("This Transformer, \"" + this.getClass().getName() + "\", does not support the reset functionality.  Specification \"" + this.getClass().getPackage().getSpecificationTitle() + "\" version \"" + this.getClass().getPackage().getSpecificationVersion() + "\"");
    }
    
    public abstract void transform(Source p0, Result p1) throws TransformerException;
    
    public abstract void setParameter(String p0, Object p1);
    
    public abstract Object getParameter(String p0);
    
    public abstract void clearParameters();
    
    public abstract void setURIResolver(URIResolver p0);
    
    public abstract URIResolver getURIResolver();
    
    public abstract void setOutputProperties(Properties p0);
    
    public abstract Properties getOutputProperties();
    
    public abstract void setOutputProperty(String p0, String p1) throws IllegalArgumentException;
    
    public abstract String getOutputProperty(String p0) throws IllegalArgumentException;
    
    public abstract void setErrorListener(ErrorListener p0) throws IllegalArgumentException;
    
    public abstract ErrorListener getErrorListener();
}
